#include <stdio.h>

void main() {

	double multiplier=1.;
	int    negative_counter=0;
	int    max_index_i,max_index_j;
	double max_value=-1.79769e+308; // минимальное значение для double
	double a[6][4];

	FILE* f=fopen("mass.txt","r");

	for(int i=0; i<6; i++) {
		for(int j=0; j<4; j++) {
			fscanf(f,"%lf",&a[i][j]);
		}
	}
	fclose(f);

	for(int i=0; i<6; i++) {
		for(int j=0; j<4; j++) {
			printf("%5.1f  ",a[i][j]);
		}
		printf("\n");
	}

	for(int i=0; i<6; i++) {
		for(int j=0; j<4; j++) {

			if(fabs(a[i][j])>2) multiplier*=a[i][j];
			if(a[i][j]<0)       negative_counter++;
			if(a[i][j]>max_value) {
				max_value=a[i][j];
				max_index_i=i;
				max_index_j=j;
			}
		}
	}

	printf("(a) Product of elements, which modulus > 2: %.2f\n",multiplier);
	printf("(b) Number of negative elements: %d\n",negative_counter);
	printf("(c) Indexes of the greatest elements: %d,%d\n",max_index_i,max_index_j);
}
